import React from "react";
import classNames from "classnames";
import { makeStyles } from "@material-ui/core/styles";

import Header from "components/Header/Header.js";
import HeaderLinks from "components/Header/HeaderHonda.js";
import Footer from "components/Footer/FooterHonda.js";
import Parallax from "components/Parallax/Parallax.js";
import styles from "assets/jss/nextjs-material-kit/pages/components.js";

import SectionCarrer from "pages-sections/honda/carrer/carrer.js";
import Getcarrer from "api/carrer/carrer.js"
import Cookies from "cookies";

const useStyles = makeStyles(styles);

const Carrer = function ({ user, backend, s1, d3, sma, ...props }) {
    const classes = useStyles();
    const { ...rest } = props;
    return (
        <div>
        <Header
            rightLinks={<HeaderLinks username={user} />}
            fixed
            color="info"
            changeColorOnScroll={{
            height: 400,
            color: "white"
            }}
            {...rest}
        />
        <Parallax image={require("assets/img/carrer.png")} height="50px"/>
        <div className={classNames(classes.main, classes.mainRaised)}>
            <SectionCarrer s1={s1} d3={d3} sma={sma} backend={backend}/>  
        </div>
        <Footer />
        </div>
    );
}

export default Carrer;

export async function getServerSideProps(context) {
    var s1 = [];
    var d3 = [];
    var sma = [];
    const backend = process.env.BACKEND_SERVER_URI;

    var { req, resp } = context;
    const cookies = new Cookies(req, resp);
    var user = "";
    var userObj = (await cookies.get("user"))
        ? JSON.parse(await cookies.get("user"))
        : null;
    if (userObj) {
        let sessionId = userObj["partners_login_states"].filter(function (i) {
        return (
            i.business_partner && i.business_partner.name.toUpperCase() == "HONDA"
        );
        });
        if (sessionId.length != 0) user = userObj["username"];
    }

    var res = await Getcarrer.GetCarrerS1Honda();
        if (res["STATUS"] === 1) {
            s1 = res["DATA"]["carrers"];
        }

    var res = await Getcarrer.GetCarrerD3Honda();
        if (res["STATUS"] === 1) {
            d3 = res["DATA"]["carrers"];
        }

    var res = await Getcarrer.GetCarrerSMAHonda();
        if (res["STATUS"] === 1) {
            sma = res["DATA"]["carrers"];
        }

	return {
		props: { user, s1, d3, sma, backend }, // will be passed to the page component as props
	};
}